<?php
/**
 * Date: 30.09.16
 *
 * @var \LabBase\Model\User $user
 * @var \LabBase\Model\Brand $brand
 * @var \Zend\View\Renderer\PhpRenderer $this
 */
use LabBase\Model\Image;

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);





$avatarImage = $this->imageLinker()->getImageObject('brand-avatar-'.$user->id);
$user = $this->sessionInfo()->getLoggedInUser();
if($user) {
    $avatarImage = $this->imageLinker()->getUserAvatarLinkOrDefault($user);
}

if(!$avatarImage) {
    $avatarImage = $this->imageLinker()->getImageObject('system-user-avatar-default');
    $hasAvatar = false;
}

?>
<style>
    .edited{
        margin-top: 30px;
        margin-left:5px;
        background-image: url('/images/galc.png');
        width: 17px;
        height: 17px;

        background-repeat: no-repeat;
        cursor: pointer;
    }
    .edit {
        margin-top: 30px;
        background-image: url('/images/pen-acc.png');
        margin-left: 5px;
        width: 17px;
        height: 17px;
        background-repeat: no-repeat;
        cursor: pointer;
    }
    .my-account-left{
        margin-left:-50px;
    }
    #avatarSitings{
        width: 100px;
        height: 100px;
    }


</style>
<div class="col-md-12 col-sm-12">
    <div class="my-account">
        <div class="my-account-left">
            <div class="av-info user-avatar-change-button avatar page-avatar image-avatar">

                <?php if(!$avatarImage) { ?>
                    <p><?php echo $user->getAvatarInitials(); ?></p>
                    <?php }else{ ?>
                 <img src="<?= $avatarImage ?>" >
                <?php } ?>


            </div>
            <div class="account-info">
                <h3>MY PROFILE</h3>
                <div class="percentage90">
                    <input type="text" id="nameUser" data-setting="username" name="username" value="<?php echo $user->fullName ?>" disabled>
                    <span>NAME</span>
                </div>
                <div class="percentage10">
                   <div class="edit edit_btn" id="enteruser" data-input="username"></div>
                </div>
                <div class="percentage90">
                    <input type="text" name="email" id="emailUser" value="<?php echo $user->email ?>" data-setting="email" disabled>
                    <span>E-MAIL</span>
                </div>
                <div class="percentage10">
                    <div class="edit edit_btn" id="enteremail" data-input="email"></div>
                </div>
                <div class="percentage90">
                    <input type="text" name="newPassword" id="passUser"  value="••••••" data-setting="password" disabled>
                    <span>PASSWORD</span>
                </div>
                <div class="percentage10">
                    <div class="edit edit_btn" data-input="newPassword" id="clickPass" ></div>
                </div>
                <button class="account-info-button">CLOSE MY ACCOUNT</button>
            </div>
        </div>
        <div class="vert-sep">
        </div>
        <div class="my-account-right">
            <h3>MY BRANDS</h3>

            <?php foreach($brandList as $brand): ?>

            <a style="text-decoration: none;" href="/<?php echo $brand->url ?>">
            <div class="existing-brand">
                 <p><?php echo $brand->name ?></p>
                 <span><?php echo $brand->description ?></span>
            </div>
            </a>
            <?php endforeach; ?>
            <button onclick="location = '/$register/email/'" class="add-new-brand-button"></button>
        </div>
    </div>
</div>

<script>

window.addEventListener('DOMContentLoaded', function(){

        var namep=document.getElementById("nameUser").value;
        var mailp=document.getElementById("emailUser").value;
        var passp=document.getElementById("passUser").value;


        var active_input = null, active_btn, data = {
            'setting' : '',
           'password' : ''
        }, edit = false;
        var btn_row = null;
        var username = null, password = null, err_lable = null;
        var d = new Dialog({}, [
            new DialogComponent(null, 'label', "To confirm please enter your password"),
            err_lable = new DialogComponent(null, 'label', "", 'color:red;'),
            new DialogComponent(null, 'spacer'),
            password = new DialogComponent(null, 'password', 'Password'),
            new DialogComponent(null, 'row'),
            btn_row = new DialogComponent(null, 'row', [], 'right')
        ], function(dialog, button, callbackData) {
            button.click(dialog);
        }, true);

        var btn = new DialogComponent(null, 'button', "Ok", false);
        btn.click = function (dialog){
            err_lable.getElement().innerHTML = '';
            data['setting'] = active_input.getAttribute('data-setting');
            data[active_input.getAttribute('name')] = active_input.value;
            data['password'] = password.getElement().value;
            window.ajaxSubmitCheck('/$changeSettings', data, function (data) {
                d.close();
                edit = false;
                namep=document.getElementById("nameUser").value;
                mailp=document.getElementById("emailUser").value;
                passp=document.getElementById("passUser").value;
            });
        };
        btn_row.addChild(btn);

        if (!("path" in Event.prototype))
            Object.defineProperty(Event.prototype, "path", {
                get: function() {
                    var path = [];
                    var currentElem = this.target;
                    while (currentElem) {
                        path.push(currentElem);
                        currentElem = currentElem.parentElement;
                    }
                    if (path.indexOf(window) === -1 && path.indexOf(document) === -1)
                        path.push(document);
                    if (path.indexOf(window) === -1)
                        path.push(window);
                    return path;
                }
            });

        function disabled(e){
            var dis = e.target.getAttribute('data-input');
            var elem, btn;
            if(dis){
                elem = document.querySelector('input[name="' + dis + '"');
                active_btn = e.target;
            }else{
                elem = e.target || e.currentTarget;
                active_btn = elem.parentNode.parentNode.querySelector('.edit_btn');
            }
            if(active_input) {
                active_input.style.border = '0';
                active_input.setAttribute('disabled', 'disabled');
            }
            active_input = elem;
            if(  !$('.edit_btn.edited').is($(active_btn)) ) {
                $('.edit_btn.edited').removeClass('edited').addClass('edit');
            }

            if(active_btn.classList.contains('edit')){
                active_btn.classList.remove('edit');
                active_btn.classList.add('edited');
                active_input.style.border = '1px solid #008cc9';


                active_input.removeAttribute('disabled');
                active_input.focus();
            }else{
                active_btn.classList.add('edit');
                active_btn.classList.remove('edited');
                active_input.style.border = '0';
            }
        }

        function sendData()
        {
            if(edit){
                d.show();
            }
        }

        document.addEventListener('click', function(e){

            var find = false;
           for(var i = 0; i < e.path.length; i++){
                   if(e.path[i].tagName == 'INPUT' || (e.path[i].tagName == 'DIV' && e.path[i].classList.contains('edit_btn')) ){
                       find = true;
                   }
           }
            if(!edit && !(namep==document.getElementById("nameUser").value && mailp==document.getElementById("emailUser").value &&  passp==document.getElementById("passUser").value) )
            {
                edit = true;
                sendData();
            }
            if(!find && active_btn){
                if(active_btn.classList.contains('edit')){

                    $('#passUser').css('border','none');
                    $('#emailUser').css('border','none');
                }
                else
                {
                    sendData();
                    active_btn.classList.add('edit');
                    active_btn.classList.remove('edited');
                    $('#nameUser').css('border','none');
                    $('#passUser').css('border','none');
                    $('#emailUser').css('border','none');
                }
            }
        });

       $('.edit_btn').on('click', function (e){
           disabled(e);
       });

        $('.avatar').css('width','100px');
        $('.avatar').css('height','100px');


    $('.user-avatar-change-button').click(function (e) {
        labImage('/changeUserAvatar', 'Choose avatar', 512, 512, function (val) {
            if(val) {
                this.close();
                window.location.reload();
            }
        });
        e.preventDefault();
    });




    });


</script>